You are not logged in. (Login)

Visitors

web counter


Skip LoginSkip Latest News

Latest News

  • 19 Jan, 05:02
    Deepak Laxmi Narasimha
    Online NIDM GFDRR Thematic courses Results: Nov-Dec 2020 more...
  • 11 Dec, 14:58
    Deepak Laxmi Narasimha
    CDRMF Sep 2020 Courses Results more...
  • 22 Sep, 05:49
    Deepak Laxmi Narasimha
    Online Thematic Courses results-updated more...
e-Learning on DISASTER RISK MANAGEMENT

Training Calendar for the year 2021-22

S.No Basic Course
1 Comprehensive Disaster Risk Management Framework (CDRMF)
20th Apr - 31st May, 2021 Registration Closed
6th Jul - 17th Aug, 2021 Registration Closed
05th Oct - 16th Nov, 2021 Registration Closed
7th Dec, 2021 - 18th Jan, 2022 Registration Open
2nd Feb - 16th Mar, 2022 Registration Open

S.No Thematic Courses
1 Community Based Disaster Risk Management
6th Jul - 3rd Aug, 2021 Registration Closed
7th Dec, 2021 - 4th Jan, 2022 Registration Open
2 Climate Change and Disaster Risk
6th Jul - 3rd Aug, 2021 Registration Closed
7th Dec, 2021 - 4th Jan, 2022 Registration Open
3 Earthquake Risk Reduction
6th Jul - 3rd Aug, 2021 Registration Closed
7th Dec, 2021 - 4th Jan, 2022 Registration Open
4 Safe Cities
6th Jul - 3rd Aug, 2021 Registration Closed
7th Dec, 2021 - 4th Jan, 2022 Registration Open
5 Gender aspects of Disaster Recovery and Reconstruction
20th Apr - 18th May, 2021 Registration Closed
05th Oct - 02nd Nov, 2021 Registration Closed
2nd Feb - 2nd Mar, 2022 Registration Open
6 Damage and Reconstruction Needs Assessment
20th Apr - 18th May, 2021 Registration Closed
05th Oct - 02nd Nov, 2021 Registration Closed
2nd Feb - 2nd Mar, 2022 Registration Open
7 Financial Strategies for Managing Economic Impacts of Disasters
20th Apr - 18th May, 2021 Registration Closed
05th Oct - 02nd Nov, 2021 Registration Closed
2nd Feb - 2nd Mar, 2022 Registration Open
8 Risk Sensitive Land Use Planning
20th Apr - 18th May, 2021 Registration Closed
05th Oct - 02nd Nov, 2021 Registration Closed
2nd Feb - 2nd Mar, 2022 Registration Open
9 Risk Identification, Assessment and Analysis
20th Apr - 18th May, 2021 Registration Closed
05th Oct - 02nd Nov, 2021 Registration Closed
2nd Feb - 2nd Mar, 2022 Registration Open

S.No Course Duration
1 For Comprehensive Disaster Risk Management Framework Course – six weeks
2 For Thematic Courses – four weeks each

S.No Course Fee
1 For Comprehensive Disaster Risk Management Framework - Rs. 3000
2 For Thematic Courses – Rs. 1800 per course

S.No For Opting All courses (Comprehensive Disaster Risk Management Framework + nine thematic courses) – Rs.19,200